AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.1

Public Member Functions | List of all members
AMPS::RecoveryPointAdapterImpl Class Referenceabstract

RecoveryPointAdapterImpl virtual base class for implementing external storage of subscription recovery points and recovery from storage. More...

`#include <RecoveryPointAdapter.hpp>`

Inheritance diagram for AMPS::RecoveryPointAdapterImpl:

## Public Member Functions
virtual bool | next (RecoveryPoint &current_)=0
| Recovery is done by iteration over elements in storage. More...
virtual void | update (RecoveryPoint &recoveryPoint_)=0
| Update the storage information with the given recovery point. More...
virtual void | purge ()=0
| Remove all data from the storage.
virtual void | purge (const Field &subId_)=0
| Remove the specified subId_ from the storage. More...
virtual void | close ()=0
| Take any necessary actions to close the associated storage.
virtual void | prune ()
| Take any necessary actions to reduce associated storage size.

## Detailed Description

RecoveryPointAdapterImpl virtual base class for implementing external storage of subscription recovery points and recovery from storage.

## Member Function Documentation

## ◆ next()

virtual bool AMPS::RecoveryPointAdapterImpl::next | ( | RecoveryPoint & | current_ | ) |
| pure virtual

Recovery is done by iteration over elements in storage.

This function modifies the passed in argument to be the next stored RecoveryPoint or an empty RecoveryPoint to indicate completion.

Parameters

  current_ | The RecoveryPoint to set as the next recovery item.

Implemented in AMPS::SOWRecoveryPointAdapter, and AMPS::ConflatingRecoveryPointAdapter.

## ◆ purge()

virtual void AMPS::RecoveryPointAdapterImpl::purge | ( | const Field & | subId_ | ) |
| pure virtual

Remove the specified subId_ from the storage.

Parameters

  subId_ | The sub id to remove

Implemented in AMPS::SOWRecoveryPointAdapter, and AMPS::ConflatingRecoveryPointAdapter.

## ◆ update()

virtual void AMPS::RecoveryPointAdapterImpl::update | ( | RecoveryPoint & | recoveryPoint_ | ) |
| pure virtual

Update the storage information with the given recovery point.

Parameters

  recoveryPoint_ | The new/updated RecoveryPoint to save.

Implemented in AMPS::SOWRecoveryPointAdapter, and AMPS::ConflatingRecoveryPointAdapter.

The documentation for this class was generated from the following file:

- include/amps/RecoveryPointAdapter.hpp